Skip to main content

Documentation Index

Fetch the complete documentation index at: https://docs.grdd.dev/llms.txt

Use this file to discover all available pages before exploring further.

This service is called by provider systems upon a status code change. Other information (chauffeur, vehicle, fees, total) can be submitted along with the status.

providerUpdateStatusByResNo

POST /providerUpdateStatusByResNo/{GRIDDID}/{RESNO}/{version}

Parameters

ParameterDescription
GRIDDIDGRiDD ID.
RESNOReservation #.
versionMust be set to V1.

Request

Header:
token: {TOKEN}
Body:
{
  "LocalTimestamp": "2016-04-13T19:15:00",
  "UTCtimestamp": "2016-04-14T04:15:00",
  "chauffeur": {
    "chauffeurId": "01-abc",
    "email": "joe@limo1.com",
    "firstName": "Joe",
    "lastName": "Smith",
    "phoneNumber": "212.222.2222",
    "picURL": "https:\\facebook\\mypic.jpg"
  },
  "fees": [
    {
      "code": "base",
      "currency": "USD",
      "description": "Base charges",
      "fee": "75.00",
      "type": "EXPENSE"
    },
    {
      "code": "airport",
      "currency": "USD",
      "description": "Airport Fees",
      "fee": "25.00",
      "type": "EXPENSE"
    }
  ],
  "griddID": "4starlimo",
  "requesterResNo": "12343",
  "resNo": "756333",
  "status": "EN_ROUTE",
  "providerNote": "free form notes from the provider on this trip",
  "totalAmount": "124.75",
  "transactionId": "c1df1d28-0608-4df7-b268-cc68ba175ed6",
  "vehicle": {
    "make": "BMW",
    "mileage": "10000",
    "model": "750iL",
    "passengerCount": "3",
    "vehicleId": "101",
    "vehicleType": "sedan",
    "vin": "111-76tbvfds688",
    "year": "2017"
  }
}

Response 200

"OK"
Call this endpoint whenever there is a change in Status, Driver Info, Vehicle Info, Charge line items, or Total. See Status Codes for the full list of valid status values.